Debian Bug report logs - #382815
ITA: groovy -- Agile dynamic language for the Java Virtual

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Sun, 13 Aug 2006 14:49:21 UTC

Owned by: Torsten Werner <twerner@debian.org>

Severity: normal

Fixed in version groovy/1.5.0-1

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marcus Crafter <crafterm@debian.org>, <wnpp@debian.org>:
Bug#382815; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Marcus Crafter <crafterm@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: groovy -- Agile dynamic language for the Java Virtual Machine
Date: Sun, 13 Aug 2006 16:20:27 +0200
Package: wnpp
Severity: normal

The current maintainer of groovy, Marcus Crafter <crafterm@debian.org>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: groovy
Binary: groovy, groovy-doc
Version: 0.1.0beta10-3
Priority: optional
Section: contrib/devel
Maintainer: Marcus Crafter <crafterm@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), bzip2, libasm-java (>= 1.5.2), libbsf-java, libclassworlds-java (>= 1.0.1), libcommons-cli-java (>= 1.0), libcommons-collections3-java (>= 3.1), libcommons-logging-java (>= 1.0.3), junit (>= 3.8.1), libmockobjects-java (>= 0.09), libmx4j-java (>= 2.0.1),  libregexp-java (>= 1.2), libservlet2.3-java, sharutils, ant, ant-optional, j2sdk1.4 | j2sdk1.3 | java-virtual-machine
Architecture: all
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/contrib/g/groovy
Files:
 3648bf60f0ea0a39437db85daaad10cc 974 groovy_0.1.0beta10-3.dsc
 0c26760eb76f530fe56c1e73b49fb324 669879 groovy_0.1.0beta10.orig.tar.gz
 67c55022839b36807761668da55b7154 3488216 groovy_0.1.0beta10-3.diff.gz

Package: groovy
Priority: optional
Section: contrib/devel
Installed-Size: 4492
Maintainer: Marcus Crafter <crafterm@debian.org>
Architecture: all
Version: 0.1.0beta10-3
Depends: ant, ant-optional, libasm-java (>= 1.5.2), libbsf-java, libclassworlds-java (>= 1.0.1), libcommons-cli-java (>= 1.0), libcommons-collections3-java (>= 3.1), libcommons-logging-java (>= 1.0.3), junit (>= 3.8.1), libmockobjects-java (>= 0.09), libmx4j-java (>= 2.0.1), libregexp-java (>= 1.2), libservlet2.3-java, j2sdk1.4 | j2sdk1.3 | java-virtual-machine
Filename: pool/contrib/g/groovy/groovy_0.1.0beta10-3_all.deb
Size: 3937160
MD5sum: 8790ddcca4522b05b8f4f945f6a8f773
SHA1: a56fa4e4dcc4b0ab436f71e1cab5bd16b8f75215
SHA256: 30c019f9e3f1ee4506f2eb2f91f3fef065c1bdd747a54204c85938b70b4ccf3f
Description: Agile dynamic language for the Java Virtual Machine
 Groovy is an agile dynamic language for the JVM combining lots of great
 features from languages like Python, Ruby and Smalltalk and making them
 available to the Java developers using a Java-like syntax.
 .
 Groovy is designed to help you get things done on the Java platform in a
 quicker, more concise and fun way - bringing the power of Python and Ruby
 inside the Java platform.
 .
 Groovy can be used as an alternative compiler to javac to generate
 standard Java bytecode to be used by any Java project or it can be used
 dynamically as an alternative language such as for scripting Java objects,
 templating or writing unit test cases.
 .
 Home page: http://groovy.codehaus.org/

Package: groovy-doc
Priority: optional
Section: contrib/devel
Installed-Size: 32528
Maintainer: Marcus Crafter <crafterm@debian.org>
Architecture: all
Source: groovy
Version: 0.1.0beta10-3
Filename: pool/contrib/g/groovy/groovy-doc_0.1.0beta10-3_all.deb
Size: 2120396
MD5sum: aa24753d5e6f5cb035a11c69b8e99156
SHA1: 3ef47a45a4047a54f9963909a550edf5e18e1995
SHA256: ca1c4e27f4d4144a7fad3608c115d3138b7a0b539ca9a9d67ec5201abf6a8cd5
Description: Agile dynamic language for the Java Virtual Machine
 Groovy is an agile dynamic language for the JVM combining lots of great
 features from languages like Python, Ruby and Smalltalk and making them
 available to the Java developers using a Java-like syntax.
 .
 Groovy is designed to help you get things done on the Java platform in a
 quicker, more concise and fun way - bringing the power of Python and Ruby
 inside the Java platform.
 .
 Groovy can be used as an alternative compiler to javac to generate
 standard Java bytecode to be used by any Java project or it can be used
 dynamically as an alternative language such as for scripting Java objects,
 templating or writing unit test cases.
 .
 This package includes the Groovy API javadocs, and examples.
 .
 Home page: http://groovy.codehaus.org/
Tag: role::content:doc

-- 
adn
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#382815; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "James Williams" <james.l.williams@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 382815@bugs.debian.org (full text, mbox):

From: "James Williams" <james.l.williams@gmail.com>
To: 382815@bugs.debian.org
Subject: ITA: groovy -- Agile dynamic language for the Java Virtual Machine
Date: Sun, 27 Aug 2006 06:28:36 -0400
[Message part 1 (text/plain, inline)]

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#382815; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 382815@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: James Williams <james.l.williams@gmail.com>
Cc: control@bugs.debian.org, 382815@bugs.debian.org
Subject: Re: ITA: groovy -- Agile dynamic language for the Java Virtual Machine
Date: Thu, 7 Dec 2006 19:35:36 +0100
retitle 382815 ITA: groovy -- Agile dynamic language for the Java Virtual Machine
owner 382815 James Williams <james.l.williams@gmail.com>
thanks

On Sun, Aug 27, 2006 at 06:28:36AM -0400, James Williams wrote:
> 

I've fixed the intent to adopt. Any progress on this ITA?

Thanks,

Thomas



Changed Bug title. Request was from Thomas Girard <thomas.g.girard@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as James Williams <james.l.williams@gmail.com>. Request was from Thomas Girard <thomas.g.girard@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, James Williams <james.l.williams@gmail.com>:
Bug#382815; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "James Williams" <james.l.williams@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, James Williams <james.l.williams@gmail.com>. Full text and rfc822 format available.

Message #24 received at 382815@bugs.debian.org (full text, mbox):

From: "James Williams" <james.l.williams@gmail.com>
To: control@bugs.debian.org
Cc: 382815@bugs.debian.org
Subject: 382815 O: groovy -- Agile dynamic language for the Java Virtual Machine
Date: Thu, 7 Dec 2006 13:48:19 -0500
[Message part 1 (text/plain, inline)]
---------- Forwarded message ----------
From: Thomas Girard <thomas.g.girard@free.fr>
Date: 7 déc. 2006 13:50
Subject: Re: ITA: groovy -- Agile dynamic language for the Java Virtual
Machine
To: James Williams <james.l.williams@gmail.com>

Hello James,

On Thu, Dec 07, 2006 at 01:34:43PM -0500, James Williams wrote:
> Go ahead....I haven't done anything with this package or Groovy in
> particular for a while.

Um, I see. Well, I do not want to adopt it. I happen to have a look at
groovy today, seeing that it was orphaned and that an broken ITA was
sent.

If you no longer intent to adopt groovy, you can send the following
command to control@bugs.debian.org, CC:ing 382815@bugs.debian.org:

 retitle 382815 O: groovy -- Agile dynamic language for the Java Virtual
Machine
 noowner 382815


Regards,

Thomas
[Message part 2 (text/html, inline)]

Changed Bug title. Request was from Thomas Girard <thomas.g.girard@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by James Williams <james.l.williams@gmail.com>. Request was from Thomas Girard <thomas.g.girard@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Amin Shali" <amshali@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#382815; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #37 received at 382815-quiet@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: 382815-quiet@bugs.debian.org
Subject: I do not intend to adopt groovy
Date: Tue, 27 Feb 2007 18:32:16 -0600
[Message part 1 (text/plain, inline)]
Please note that my earlier mail setting this bug's title was only
correcting Amin Shali's badly formatted one.

I do not intend to adopt groovy.

-- 
Rodrigo Gallardo
GPG-Fingerprint: 7C81 E60C 442E 8FBC D975  2F49 0199 8318 ADC9 BC28
Zenophobia: the irrational fear of convergent sequences.
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Amin Shali <amshali@gmail.com>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Amin Shali <amshali@gmail.com>:
Bug#382815; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@merkel.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Amin Shali <amshali@gmail.com>. Full text and rfc822 format available.

Message #44 received at 382815@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: control@bugs.debian.org
Cc: 382815@bugs.debian.org
Subject: WNPP bug retitle
Date: Thu, 08 Nov 2007 11:59:17 -0700
retitle 382815 O: groovy -- Agile dynamic language for the Java Virtual
noowner 382815
stop

Hello,

This is an automatic mail sent to retitle the ITA you have reported or 
are involved with.

Your ITA wnpp bug is being orphaned because of the following reasons:
- It is, as of today, older than 250 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be managing some bugs that are not 
intended by owners and submitters (like you) to be orphaned, for
example if the ITA is still of your interest, or there has been 
some kind of activity around it. In that case, please retitle the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily recover
their bugs ;-).

To retitle it, you simply have to mail <control@bugs.debian.org>
with a body text like this:

 retitle 382815 ITA: groovy -- Agile dynamic language for the Java Virtual
 owner 382815 !
 stop

Further comments on the work done in the bug sent to
382815@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.





Changed Bug title to `O: groovy -- Agile dynamic language for the Java Virtual' from `ITA: groovy -- Agile dynamic language for the Java Virtual'. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2007 19:12:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Amin Shali <amshali@gmail.com>. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2007 19:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: groovy -- Agile dynamic language for the Java Virtual' from `O: groovy -- Agile dynamic language for the Java Virtual'. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2007 13:51:04 GMT) Full text and rfc822 format available.

Owner recorded as Torsten Werner <twerner@debian.org>. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2007 13:51:04 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 382815-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 382815-close@bugs.debian.org
Subject: Bug#382815: fixed in groovy 1.5.0-1
Date: Sat, 15 Dec 2007 14:47:02 +0000
Source: groovy
Source-Version: 1.5.0-1

We believe that the bug you reported is fixed in the latest version of
groovy, which is due to be installed in the Debian FTP archive:

groovy-doc_1.5.0-1_all.deb
  to pool/contrib/g/groovy/groovy-doc_1.5.0-1_all.deb
groovy_1.5.0-1.diff.gz
  to pool/contrib/g/groovy/groovy_1.5.0-1.diff.gz
groovy_1.5.0-1.dsc
  to pool/contrib/g/groovy/groovy_1.5.0-1.dsc
groovy_1.5.0-1_all.deb
  to pool/contrib/g/groovy/groovy_1.5.0-1_all.deb
groovy_1.5.0.orig.tar.gz
  to pool/contrib/g/groovy/groovy_1.5.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 382815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated groovy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Dec 2007 15:21:00 +0100
Source: groovy
Binary: groovy-doc groovy
Architecture: source all
Version: 1.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 groovy     - Agile dynamic language for the Java Virtual Machine
 groovy-doc - Agile dynamic language for the Java Virtual Machine
Closes: 367010 382815
Changes: 
 groovy (1.5.0-1) unstable; urgency=low
 .
   [ Varun Hiremath ]
   * New upstream release (Closes: #367010)
   * debian/control:
     + Set Debian Java maintainers as Maintainer (Closes: #382815)
     + Add myself and Torsten to Uploaders
     + Add sun-java6-jdk, libxstream-java to Build-Depends
     + Add Homepage, Vcs-{Svn, Browser} headers
     + Bump up the Standards-Version to 3.7.3
     + Add Suggests for the binary and doc packages
   * Add debian/watch, debian/orig-tar.sh to create orig.tar.gz
   * Write a new debian/build.xml and add debian/ant.properties
   * debian/rules:
     + call javadoc to build docs
     + use sun-java6-jdk to build
   * Clean up javadoc installation.
   * Add some missing links in debian/groovy.links
   * Add manpages
 .
   [ Torsten Werner ]
   * Switch to libservlet2.4-java.
   * Add Build-Depends: libjline-java.
   * Remove the (binary only) PDF file from orig.tar.gz.
Files: 
 ad1d4ad1603720f48de53fa805142842 1224 contrib/devel optional groovy_1.5.0-1.dsc
 34b4bb747a497b2cafe82bd5ea4d3c96 1332346 contrib/devel optional groovy_1.5.0.orig.tar.gz
 e84b04d4f2c62bd7babffb9acb83afcd 7890 contrib/devel optional groovy_1.5.0-1.diff.gz
 b4edb3072d09448bde1e0428a53a338d 2104284 contrib/devel optional groovy_1.5.0-1_all.deb
 ce7fc14ec27fb6d4f003bc078489fc4d 1967392 contrib/doc optional groovy-doc_1.5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHY+UmfY3dicTPjsMRAgCDAJ4szgscblC/iTdEUNhDxglJAOSMiQCbB0Am
9L4vK6zx1lsbDf6ensDrH4Q=
=eDxW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 10:00:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:42:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.